Bug 783708 - [abrt] kernel: [171983.719051] WARNING: at drivers/base/firmware_class.c:537 _request_firmware+0x42e/0x450()
Summary: [abrt] kernel: [171983.719051] WARNING: at drivers/base/firmware_class.c:537 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb39d576729f2cfd6c2026063d3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-21 21:09 UTC by Pavel Šimerda (pavlix)
Modified: 2012-05-26 08:08 UTC (History)
8 users (show)

Fixed In Version: kernel-2.6.43.5-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-03 07:26:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 802106 None CLOSED ipw2200 bg doesn't work in f17 2019-03-21 23:02:58 UTC

Internal Links: 802106

Description Pavel Šimerda (pavlix) 2012-01-21 21:09:28 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.1.7-1.fc16.i686 root=/dev/mapper/surikata-fedora16 ro rd.md=0 rd.dm=0 rd.luks.uuid=luks-1d7c2b59-8c23-4107-a2b1-e62b510fceb1 KEYTABLE=us quiet rd.lvm.lv=surikata/swap rhgb rd.lvm.lv=surikata/fedora16 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8
comment:        Maybe after suspend but I'm not 100% sure now.
kernel:         3.719134]
reason:         [171983.719051] WARNING: at drivers/base/firmware_class.c:537 _request_firmware+0x42e/0x450()
time:           Fri 20 Jan 2012 10:44:49 PM CET

backtrace:
:[171983.719051] WARNING: at drivers/base/firmware_class.c:537 _request_firmware+0x42e/0x450()
:[171983.719055] Hardware name: LIFEBOOK P1510
:[171983.719058] Modules linked in: sctp tcp_lp ppdev parport_pc lp parport fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle tun bridge stp llc lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables btrfs zlib_deflate libcrc32c snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer ipw2200 libipw iTCO_wdt cfg80211 snd soundcore snd_page_alloc sunrpc rfkill iTCO_vendor_support 8139too 8139cp fujitsu_laptop i2c_i801 lib80211 serio_raw uinput microcode mii joydev xts gf128mul dm_crypt sdhci_pci sdhci mmc_core yenta_socket i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[171983.719134] Pid: 29987, comm: kworker/0:0 Tainted: G        W   3.1.7-1.fc16.i686 #1
:[171983.719138] Call Trace:
:[171983.719147]  [<c09041fb>] ? printk+0x2d/0x2f
:[171983.719156]  [<c044c122>] warn_slowpath_common+0x72/0xa0
:[171983.719162]  [<c070921e>] ? _request_firmware+0x42e/0x450
:[171983.719167]  [<c070921e>] ? _request_firmware+0x42e/0x450
:[171983.719176]  [<c044c172>] warn_slowpath_null+0x22/0x30
:[171983.719181]  [<c070921e>] _request_firmware+0x42e/0x450
:[171983.719187]  [<c07092df>] request_firmware+0x1f/0x30
:[171983.719204]  [<f82ed57a>] ipw_up+0xc3a/0x1720 [ipw2200]
:[171983.719211]  [<c04027a9>] ? __switch_to+0x99/0x1a0
:[171983.719219]  [<c090b0b1>] ? __schedule+0x391/0x8b0
:[171983.719232]  [<f82ee17b>] ipw_bg_up+0x2b/0x40 [ipw2200]
:[171983.719238]  [<c046567a>] process_one_work+0xfa/0x390
:[171983.719244]  [<c0444e24>] ? wake_up_process+0x14/0x20
:[171983.719249]  [<c0463925>] ? start_worker+0x25/0x30
:[171983.719262]  [<f82ee150>] ? ipw_net_init+0x50/0x50 [ipw2200]
:[171983.719267]  [<c0466371>] worker_thread+0x121/0x2d0
:[171983.719272]  [<c0466250>] ? manage_workers+0x1f0/0x1f0
:[171983.719278]  [<c046a1cd>] kthread+0x6d/0x80
:[171983.719284]  [<c046a160>] ? kthread_worker_fn+0x140/0x140
:[171983.719290]  [<c09149be>] kernel_thread_helper+0x6/0x10

smolt_data:
:
:
:General
:=================================
:UUID: 0a6de36b-16bd-4ea7-a18c-8307dfc3c4b8
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 2389.42
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) M processor 1.20GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 13
:Number of CPUs: 1
:CPU Speed: 1200
:System Memory: 992
:System Swap: 2047
:Vendor: FUJITSU SIEMENS
:System: LIFEBOOK P1510 
:Form factor: Notebook
:Kernel: 3.1.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:16931:32902:4145) pci, ipw2200, NETWORK, PRO/Wireless 2915ABG [Calexico2] Network Connection
:(4480:2082:4303:4899) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1142:4303:4692) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(32902:9618:4303:4827) pci, i915, VIDEO, Mobile 915GM/GMS/910GML Express Graphics Controller
:(32902:10130:4303:4827) pci, None, VIDEO, Mobile 915GM/GMS/910GML Express Graphics Controller
:(32902:9839:4303:4837) pci, ata_piix, STORAGE, 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller
:(32902:9793:4303:4836) pci, None, PCI/ISA, 82801FBM (ICH6M) LPC Interface Bridge
:(4332:33081:4303:4814) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(32902:9834:4303:4839) pci, i801_smbus, SERIAL, 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller
:(32902:9288:4303:4835) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:9838:4303:4850) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
:(32902:9817:4303:4840) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2
:(32902:9816:4303:4840) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1
:(32902:9616:4303:4823) pci, agpgart-intel, HOST/PCI, Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller
:(32902:9818:4303:4840) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3
:(32902:9819:4303:4840) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4
:(32902:9820:4303:4841) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/surikata-fedora16 / ext4 4096 4096 4128490 756248 546559 1048576 684070 684070
:/dev/mapper/surikata-fedora15 WITHHELD btrfs 4096 4096 2621440 1108332 605024 0 0 0
:/dev/mapper/surikata-fedora15.home WITHHELD btrfs 4096 4096 2621440 1796697 1344857 0 0 0
:/dev/sda1 /boot ext2 1024 1024 495844 420367 394767 128016 127790 127790
:/dev/mapper/surikata-fedora16.home /home ext4 4096 4096 2064238 848315 743458 524288 404074 404074
:

Comment 1 Josh Boyer 2012-02-28 23:58:44 UTC
Basically what seems to happen here is that on resume the driver goes to load the firmware and the helper isn't enabled yet.

Larry Finger has been working on this for other drivers:

http://thread.gmane.org/gmane.linux.kernel.wireless.general/84615
http://thread.gmane.org/gmane.linux.kernel.wireless.general/85406/focus=85462

However, ipw2000 is pretty stale by now.  I doubt this will get fixed anytime soon.  Stanislaw?

Comment 2 Stanislaw Gruszka 2012-02-29 07:11:59 UTC
I think someone from community declared work on ipw2x00, I'll check out, or eventually create a patch.

Comment 3 Dave Jones 2012-03-22 16:45:52 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 4 Dave Jones 2012-03-22 16:50:26 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 17:00:18 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 6 Pavel Šimerda (pavlix) 2012-03-22 17:17:28 UTC
Just a reminder. I commented to this bug sometime ago but I actually experienced bug 753482.

Comment 7 Stanislaw Gruszka 2012-04-23 09:35:57 UTC
Stanislav posted a patch which should fix this bug:
http://marc.info/?l=linux-wireless&m=133486517923084&w=2

Test kernel is here, please check it out:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4008799

Comment 8 Josh Boyer 2012-04-24 12:54:15 UTC
Patch from comment #7 committed to Fedora git.  Will be in the next submitted update.

Comment 9 Fedora Update System 2012-04-30 21:10:27 UTC
kernel-3.3.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.4-1.fc16

Comment 10 Fedora Update System 2012-05-01 14:28:25 UTC
kernel-2.6.43.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.4-1.fc15

Comment 11 Fedora Update System 2012-05-03 07:26:08 UTC
kernel-3.3.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-05-08 16:57:06 UTC
kernel-3.3.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.5-2.fc16

Comment 13 Fedora Update System 2012-05-08 16:57:26 UTC
kernel-2.6.43.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.5-2.fc15

Comment 14 Fedora Update System 2012-05-08 16:57:41 UTC
kernel-3.3.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.5-2.fc17

Comment 15 Fedora Update System 2012-05-13 01:50:16 UTC
kernel-3.3.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-05-15 23:23:17 UTC
kernel-2.6.43.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-05-17 13:47:24 UTC
kernel-3.3.6-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.6-3.fc17

Comment 18 Fedora Update System 2012-05-26 08:08:16 UTC
kernel-3.3.6-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.